
QGIS Application - Bug report #13595

GetLegendGraphic shows wrong legend

2015-10-14 01:06 AM - Henrik Uggla

Status: Closed

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:2.8.3 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21637

Description

If I give a layer a (external) legend URL and do GetCapabilities I get:

<Style>

<Name>default</Name>

<Title>default</Title>

<LegendURL>

<Format>image/png</Format>

<OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:type="simple"

xlink:href="http://www.osgeo.org/sites/all/themes/osgeo/logo.png"/>

</LegendURL>

</Style>

Which is correct. But when I do GetLegendGraphic I get a simple marker instead.

History

#1 - 2015-10-15 01:34 AM - Henrik Uggla

Also affects 2.8.3

#2 - 2016-05-23 01:08 PM - Giovanni Manghi

- Affected QGIS version changed from 2.8.2 to 2.8.3

- Priority changed from High to Normal

- Target version deleted (Future Release - High Priority)

#3 - 2016-07-20 08:25 AM - Giovanni Manghi

- Status changed from Open to Feedback

Is the issue about QGIS Server or the QGIS WMS client? if is the latter could you please check on 2.16? thanks.

#4 - 2016-07-20 12:18 PM - Henrik Uggla

Sorry, its about Qgis Server.

#5 - 2017-01-02 06:37 AM - Giovanni Manghi
- Status changed from Feedback to Open

#6 - 2017-01-02 06:41 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

seems the same as #12610 and that was fixed. Please reopen if necessary.
